%define name docbook-dtd42-xml
%define version 1.0
%define release 1mdk
%define dtdver 4.2
%define mltyp xml

Name: %{name}
Version: %{version}
Release: %{release}
Group       	: Publishing

Summary     	: XML document type definition for DocBook %{dtdver}.

License   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Provides        : docbook-dtd-%{mltyp}
PreReq		: fileutils
Prereq		: sgml-common >= 0.6.3-2mdk
# Why should this be needed ??? (fcrozat)
# Prereq		: openjade >= 1.3.1-2mdk

BuildRoot   	: %{_tmppath}/%{name}-buildroot

Prefix          : %{_prefix}          
# Zip file downloadable at http://www.oasis-open.org/docbook/%{mltyp}/%{dtdver}
Source0		: docbook-xml-4.2.tar.bz2 
BuildArch	: noarch  


%define sgmlbase %{_datadir}/sgml

%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup -n docbook-xml-4.2

%Build


%Install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
mkdir -p $DESTDIR
cp -r ent/ $DESTDIR
install -m644 docbook.cat $DESTDIR/catalog
install -m644 catalog.xml $DESTDIR
install -m644 *.dtd $DESTDIR
install -m644 *.mod $DESTDIR


%clean
rm -rf $RPM_BUILD_ROOT


%Files
%defattr (-,root,root)
%doc README ChangeLog
%dir %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}


%Post
##
## SGML catalog
##
%{_bindir}/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog

# The following lines are for the case in which the style sheets
# were installed after another DTD but before this DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	%{_bindir}/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	%{_bindir}/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi
# Symlinks
[ ! -e /etc/sgml/%{mltyp}-docbook.cat ] && \
	ln -s %{mltyp}-docbook-%{dtdver}.cat /etc/sgml/%{mltyp}-docbook.cat

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML V4.2//EN" \
	"file:///usr/share/sgml/docbook/xml-dtd-4.2/catalog.xml" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.2" \
	"xml-dtd-4.2" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.2" \
	"xml-dtd-4.2" $CATALOG

%Postun
##
## SGML catalog
##
# Do not remove if upgrade
if [ "$1" = "0" ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog
fi

# The following lines are for the case in which the style sheets
# were not uninstalled because there is still another DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi
# Symlinks
[ -e /etc/sgml/%{mltyp}-docbook.cat ] && \
	rm -f /etc/sgml/%{mltyp}-docbook.cat

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

/usr/bin/xmlcatalog --noout --del \
	"-//OASIS//DTD DocBook XML V4.2//EN" $CATALOG
/usr/bin/xmlcatalog --noout --del \
	"xml-dtd-4.2" $CATALOG

 
%changelog
* Mon Dec  2 2002  <camille@ke.mandrakesoft.com> 1.0-1mdk
- First specs for MDK
